Bug 841683 - Benign errors on Eclipse about "<packaging>war</packaging>" in default pom.xml file
Benign errors on Eclipse about "<packaging>war</packaging>" in default pom.xm...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 16:46 EDT by Nam Duong
Modified: 2015-05-14 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: Not a bug
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Eclipse errors screen shot (255.02 KB, image/png)
2012-07-19 22:34 EDT, Nam Duong
no flags Details

  None (edit)
Description Nam Duong 2012-07-19 16:46:52 EDT
Description of problem:
As per forum post:  https://openshift.redhat.com/community/forums/openshift/cross-mark-appearing-on-the-openshift-application-in-eclipse

on new jbossas7 applications, there is always a set of errors that appear in Eclipse.  See screenshot.

Steps to reproduce:
1) Create a JBoss AS7 app
2) Import the application into Eclipse via JBoss Tools plugin
3) View Project Explorer
Comment 1 Nam Duong 2012-07-19 22:34:49 EDT
Created attachment 599278 [details]
Eclipse errors screen shot
Comment 2 Bill DeCoste 2012-07-20 16:29:47 EDT
You need to add the m2e plugin via: http://download.eclipse.org/technology/m2e/releases

You may also need to add the m2e builder-helper via Preferences->Maven->Discovery->Open Catalog
Comment 3 Attila Nagy 2012-07-23 09:07:46 EDT
Verified that it works well with Eclipse Maven plugin installed

Note You need to log in before you can comment on or make changes to this bug.